## postgresql-17 17.6

=== Makefile ===
# The PostgreSQL make files exploit features of GNU make that other
# makes do not have. Because it is a common mistake for users to try
# to build Postgres with a different make, we have this make file
# that, as a service, will look for a GNU make and invoke it, or show
# an error message if none could be found.

# If the user were using GNU make now, this file would not get used
# because GNU make uses a make file named "GNUmakefile" in preference
# to "Makefile" if it exists. PostgreSQL is shipped with a
# "GNUmakefile". If the user hasn't run the configure script yet, the
# GNUmakefile won't exist yet, so we catch that case as well.


# AIX make defaults to building *every* target of the first rule.  Start with
# a single-target, empty rule to make the other targets non-default.
# (We don't support AIX anymore, but if someone tries to build on AIX anyway,
# at least they'll get the instructions to run 'configure' first.)
all:

all check install installdirs installcheck installcheck-parallel uninstall clean distclean maintainer-clean dist distcheck world check-world install-world installcheck-world:
	@if [ ! -f GNUmakefile ] ; then \
	   echo "You need to run the 'configure' program first. Please see"; \
	   echo "<https://www.postgresql.org/docs/17/installation.html>" ; \
	   false ; \
	 fi
	@IFS=':' ; \
	 for dir in $$PATH; do \
	   for prog in gmake gnumake make; do \
	     if [ -f $$dir/$$prog ] && ( $$dir/$$prog -f /dev/null --version 2>/dev/null | grep GNU >/dev/null 2>&1 ) ; then \
	       GMAKE=$$dir/$$prog; \
	       break 2; \
	     fi; \
	   done; \
	 done; \
	\
	 if [ x"$${GMAKE+set}" = xset ]; then \
	   echo "Using GNU make found at $${GMAKE}"; \
	   unset MAKELEVEL; \
	   $${GMAKE} $@ ; \
	 else \
	   echo "You must use GNU make to build PostgreSQL." ; \
	   false; \
	 fi

=== meson_options.txt ===
# Copyright (c) 2022-2024, PostgreSQL Global Development Group

# Data layout influencing options

option('blocksize', type: 'combo',
  choices: ['1', '2', '4', '8', '16', '32'],
  value: '8',
  description: 'Relation block size, in kilobytes')

option('wal_blocksize', type: 'combo',
  choices: ['1', '2', '4', '8', '16', '32', '64'],
  value: '8',
  description: 'WAL block size, in kilobytes')

option('segsize', type: 'integer', value: 1,
  description: 'Segment size, in gigabytes')

option('segsize_blocks', type: 'integer', value: 0,
  description: 'Segment size, in blocks')


# Miscellaneous options

option('krb_srvnam', type: 'string', value: 'postgres',
  description: 'Default Kerberos service principal for GSSAPI')

option('system_tzdata', type: 'string', value: '',
  description: 'Use system time zone data in specified directory')


# Defaults

option('pgport', type: 'integer', value: 5432,
  min: 1, max: 65535,
  description: 'Default port number for server and clients')


# Developer options

option('cassert', type: 'boolean', value: false,
  description: 'Enable assertion checks (for debugging)')

option('tap_tests', type: 'feature', value: 'auto',
  description: 'Enable TAP tests')

option('injection_points', type: 'boolean', value: false,
  description: 'Enable injection points')

option('PG_TEST_EXTRA', type: 'string', value: '',
  description: 'Enable selected extra tests')

option('atomics', type: 'boolean', value: true,
  description: 'Use atomic operations')

option('spinlocks', type: 'boolean', value: true,
  description: 'Use spinlocks')

option('PG_GIT_REVISION', type: 'string', value: 'HEAD',
  description: 'git revision to be packaged by pgdist target')


# Compilation options

option('extra_include_dirs', type: 'array', value: [],
  description: 'Non-default directories to be searched for headers')

option('extra_lib_dirs', type: 'array', value: [],
  description: 'Non-default directories to be searched for libs')

option('extra_version', type: 'string', value: '',
  description: 'Append STRING to the PostgreSQL version number')

option('darwin_sysroot', type: 'string', value: '',
  description: 'Select a non-default sysroot path')

option('rpath', type: 'boolean', value: true,
  description: 'Embed shared library search path in executables')


# External dependencies

option('bonjour', type: 'feature', value: 'auto',
  description: 'Bonjour support')

option('bsd_auth', type: 'feature', value: 'auto',
  description: 'BSD Authentication support')

option('docs', type: 'feature', value: 'auto',
  description: 'Documentation in HTML and man page format')

option('docs_pdf', type: 'feature', value: 'auto',
  description: 'Documentation in PDF format')

option('docs_html_style', type: 'combo', choices: ['simple', 'website'],
  description: 'CSS stylesheet for HTML documentation')

option('dtrace', type: 'feature', value: 'disabled',
  description: 'DTrace support')

option('gssapi', type: 'feature', value: 'auto',
  description: 'GSSAPI support')

option('icu', type: 'feature', value: 'auto',
  description: 'ICU support')

option('ldap', type: 'feature', value: 'auto',
  description: 'LDAP support')

option('libedit_preferred', type: 'boolean', value: false,
  description: 'Prefer BSD Libedit over GNU Readline')

option('libxml', type: 'feature', value: 'auto',
  description: 'XML support')

option('libxslt', type: 'feature', value: 'auto',
  description: 'XSLT support in contrib/xml2')

option('llvm', type: 'feature', value: 'disabled',
  description: 'LLVM support')

option('lz4', type: 'feature', value: 'auto',
  description: 'LZ4 support')

option('nls', type: 'feature', value: 'auto',
  description: 'Native language support')

option('pam', type: 'feature', value: 'auto',
  description: 'PAM support')

option('plperl', type: 'feature', value: 'auto',
  description: 'Build Perl modules (PL/Perl)')

option('plpython', type: 'feature', value: 'auto',
  description: 'Build Python modules (PL/Python)')

option('pltcl', type: 'feature', value: 'auto',
  description: 'Build with Tcl support (PL/Tcl)')

option('tcl_version', type: 'string', value: 'tcl',
  description: 'Tcl version')

option('readline', type: 'feature', value: 'auto',
  description: 'Use GNU Readline or BSD Libedit for editing')

option('selinux', type: 'feature', value: 'auto',
  description: 'SELinux support')

option('ssl', type: 'combo', choices: ['auto', 'none', 'openssl'],
  value: 'auto',
  description: 'Use LIB for SSL/TLS support (openssl)')

option('systemd', type: 'feature', value: 'auto',
  description: 'systemd support')

option('uuid', type: 'combo', choices: ['none', 'bsd', 'e2fs', 'ossp'],
  value: 'none',
  description: 'Use LIB for contrib/uuid-ossp support')

option('zlib', type: 'feature', value: 'auto',
  description: 'Enable zlib')

option('zstd', type: 'feature', value: 'auto',
  description: 'Enable zstd')


# Programs

option('BISON', type: 'array', value: ['bison', 'win_bison'],
  description: 'Path to bison binary')

option('DTRACE', type: 'string', value: 'dtrace',
  description: 'Path to dtrace binary')

option('FLEX', type: 'array', value: ['flex', 'win_flex'],
  description: 'Path to flex binary')

option('FOP', type: 'string', value: 'fop',
  description: 'Path to fop binary')

option('GZIP', type: 'string', value: 'gzip',
  description: 'Path to gzip binary')

option('LZ4', type: 'string', value: 'lz4',
  description: 'Path to lz4 binary')

option('OPENSSL', type: 'string', value: 'openssl',
  description: 'Path to openssl binary')

option('PERL', type: 'string', value: 'perl',
  description: 'Path to perl binary')

option('PROVE', type: 'string', value: 'prove',
  description: 'Path to prove binary')

option('PYTHON', type: 'array', value: ['python3', 'python'],
  description: 'Path to python binary')

option('SED', type: 'string', value: 'gsed',
  description: 'Path to sed binary')

option('STRIP', type: 'string', value: 'strip',
  description: 'Path to strip binary, used for PGXS emulation')

option('TAR', type: 'string', value: 'tar',
  description: 'Path to tar binary')

option('XMLLINT', type: 'string', value: 'xmllint',
  description: 'Path to xmllint binary')

option('XSLTPROC', type: 'string', value: 'xsltproc',
  description: 'Path to xsltproc binary')

option('ZSTD', type: 'string', value: 'zstd',
  description: 'Path to zstd binary')

option('ZIC', type: 'string', value: 'zic',
  description: 'Path to zic binary, when cross-compiling')

=== contrib/Makefile ===
# contrib/Makefile

subdir = contrib
top_builddir = ..
include $(top_builddir)/src/Makefile.global

SUBDIRS = \
		amcheck		\
		auth_delay	\
		auto_explain	\
		basic_archive	\
		basebackup_to_shell	\
		bloom		\
		btree_gin	\
		btree_gist	\
		citext		\
		cube		\
		dblink		\
		dict_int	\
		dict_xsyn	\
		earthdistance	\
		file_fdw	\
		fuzzystrmatch	\
		hstore		\
		intagg		\
		intarray	\
		isn		\
		lo		\
		ltree		\
		oid2name	\
		pageinspect	\
		passwordcheck	\
		pg_buffercache	\
		pg_freespacemap \
		pg_prewarm	\
		pg_stat_statements \
		pg_surgery	\
		pg_trgm		\
		pgrowlocks	\
		pgstattuple	\
		pg_visibility	\
		pg_walinspect	\
		postgres_fdw	\
		seg		\
		spi		\
		tablefunc	\
		tcn		\
		test_decoding	\
		tsm_system_rows \
		tsm_system_time \
		unaccent	\
		vacuumlo

ifeq ($(with_ssl),openssl)
SUBDIRS += pgcrypto sslinfo
else
ALWAYS_SUBDIRS += pgcrypto sslinfo
endif

ifneq ($(with_uuid),no)
SUBDIRS += uuid-ossp
else
ALWAYS_SUBDIRS += uuid-ossp
endif

ifeq ($(with_libxml),yes)
SUBDIRS += xml2
else
ALWAYS_SUBDIRS += xml2
endif

ifeq ($(with_selinux),yes)
SUBDIRS += sepgsql
else
ALWAYS_SUBDIRS += sepgsql
endif

ifeq ($(with_perl),yes)
SUBDIRS += bool_plperl hstore_plperl jsonb_plperl
else
ALWAYS_SUBDIRS += bool_plperl hstore_plperl jsonb_plperl
endif

ifeq ($(with_python),yes)
SUBDIRS += hstore_plpython jsonb_plpython ltree_plpython
else
ALWAYS_SUBDIRS += hstore_plpython jsonb_plpython ltree_plpython
endif

# Missing:
#		start-scripts	\ (does not have a makefile)


$(recurse)
$(recurse_always)

=== contrib/amcheck/Makefile ===
# contrib/amcheck/Makefile

MODULE_big	= amcheck
OBJS = \
	$(WIN32RES) \
	verify_heapam.o \
	verify_nbtree.o

EXTENSION = amcheck
DATA = amcheck--1.3--1.4.sql amcheck--1.2--1.3.sql amcheck--1.1--1.2.sql amcheck--1.0--1.1.sql amcheck--1.0.sql
PGFILEDESC = "amcheck - function for verifying relation integrity"

REGRESS = check check_btree check_heap

EXTRA_INSTALL = contrib/pg_walinspect
TAP_TESTS = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/amcheck
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/auto_explain/Makefile ===
# contrib/auto_explain/Makefile

MODULE_big = auto_explain
OBJS = \
	$(WIN32RES) \
	auto_explain.o
PGFILEDESC = "auto_explain - logging facility for execution plans"

REGRESS = alter_reset

TAP_TESTS = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/auto_explain
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/basebackup_to_shell/Makefile ===
# contrib/basebackup_to_shell/Makefile

MODULE_big = basebackup_to_shell
OBJS = \
	$(WIN32RES) \
	basebackup_to_shell.o

PGFILEDESC = "basebackup_to_shell - target basebackup to shell command"

TAP_TESTS = 1

export GZIP_PROGRAM=$(GZIP)
export TAR

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/basebackup_to_shell
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/btree_gist/Makefile ===
# contrib/btree_gist/Makefile

MODULE_big = btree_gist

OBJS =  \
	$(WIN32RES) \
	btree_bit.o \
	btree_bool.o \
	btree_bytea.o \
	btree_cash.o \
	btree_date.o \
	btree_enum.o \
	btree_float4.o \
	btree_float8.o \
	btree_gist.o \
	btree_inet.o \
	btree_int2.o \
	btree_int4.o \
	btree_int8.o \
	btree_interval.o \
	btree_macaddr.o \
	btree_macaddr8.o \
	btree_numeric.o \
	btree_oid.o \
	btree_text.o \
	btree_time.o \
	btree_ts.o \
	btree_utils_num.o \
	btree_utils_var.o \
	btree_uuid.o

EXTENSION = btree_gist
DATA = btree_gist--1.0--1.1.sql \
       btree_gist--1.1--1.2.sql btree_gist--1.2.sql btree_gist--1.2--1.3.sql \
       btree_gist--1.3--1.4.sql btree_gist--1.4--1.5.sql \
       btree_gist--1.5--1.6.sql btree_gist--1.6--1.7.sql
PGFILEDESC = "btree_gist - B-tree equivalent GiST operator classes"

REGRESS = init int2 int4 int8 float4 float8 cash oid timestamp timestamptz \
        time timetz date interval macaddr macaddr8 inet cidr text varchar char \
        bytea bit varbit numeric uuid not_equal enum bool partitions

SHLIB_LINK += $(filter -lm, $(LIBS))

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/btree_gist
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/cube/Makefile ===
# contrib/cube/Makefile

MODULE_big = cube
OBJS = \
	$(WIN32RES) \
	cube.o \
	cubeparse.o \
	cubescan.o

EXTENSION = cube
DATA = cube--1.2.sql cube--1.2--1.3.sql cube--1.3--1.4.sql cube--1.4--1.5.sql \
	cube--1.1--1.2.sql cube--1.0--1.1.sql
PGFILEDESC = "cube - multidimensional cube data type"

HEADERS = cubedata.h

REGRESS = cube cube_sci

SHLIB_LINK += $(filter -lm, $(LIBS))

EXTRA_CLEAN = cubeparse.h cubeparse.c cubescan.c

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/cube
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

# See notes in src/backend/parser/Makefile about the following two rules
cubeparse.h: cubeparse.c
	touch $@

cubeparse.c: BISONFLAGS += -d

# Force these dependencies to be known even without dependency info built:
cubeparse.o cubescan.o: cubeparse.h

=== contrib/dict_xsyn/Makefile ===
# contrib/dict_xsyn/Makefile

MODULE_big = dict_xsyn
OBJS = \
	$(WIN32RES) \
	dict_xsyn.o

EXTENSION = dict_xsyn
DATA = dict_xsyn--1.0.sql
DATA_TSEARCH = xsyn_sample.rules
PGFILEDESC = "dict_xsyn - add-on dictionary template for full-text search"

REGRESS = dict_xsyn

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/dict_xsyn
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/earthdistance/Makefile ===
# contrib/earthdistance/Makefile

MODULES = earthdistance

EXTENSION = earthdistance
DATA = earthdistance--1.1.sql earthdistance--1.0--1.1.sql \
	earthdistance--1.1--1.2.sql
PGFILEDESC = "earthdistance - calculate distances on the surface of the Earth"

REGRESS = earthdistance
EXTRA_INSTALL = contrib/cube

LDFLAGS_SL += $(filter -lm, $(LIBS))

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/earthdistance
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/file_fdw/Makefile ===
# contrib/file_fdw/Makefile

MODULES = file_fdw

EXTENSION = file_fdw
DATA = file_fdw--1.0.sql
PGFILEDESC = "file_fdw - foreign data wrapper for files"

REGRESS = file_fdw

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/file_fdw
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/pageinspect/Makefile ===
# contrib/pageinspect/Makefile

MODULE_big	= pageinspect
OBJS = \
	$(WIN32RES) \
	brinfuncs.o \
	btreefuncs.o \
	fsmfuncs.o \
	ginfuncs.o \
	gistfuncs.o \
	hashfuncs.o \
	heapfuncs.o \
	rawpage.o

EXTENSION = pageinspect
DATA =  pageinspect--1.11--1.12.sql pageinspect--1.10--1.11.sql \
	pageinspect--1.9--1.10.sql pageinspect--1.8--1.9.sql \
	pageinspect--1.7--1.8.sql pageinspect--1.6--1.7.sql \
	pageinspect--1.5.sql pageinspect--1.5--1.6.sql \
	pageinspect--1.4--1.5.sql pageinspect--1.3--1.4.sql \
	pageinspect--1.2--1.3.sql pageinspect--1.1--1.2.sql \
	pageinspect--1.0--1.1.sql
PGFILEDESC = "pageinspect - functions to inspect contents of database pages"

REGRESS = page btree brin gin gist hash checksum oldextversions

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pageinspect
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
postgresql-17 (17.6-1build2) resolute; urgency=medium

  * Rebuild against llvm 21

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Oct 2025 05:03:40 -0400

postgresql-17 (17.6-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:12:00 +0000

postgresql-17 (17.6-1) unstable; urgency=medium

  * New upstream version 17.6.

    + Tighten security checks in planner estimation functions (Dean Rasheed)

      The fix for CVE-2017-7484, plus followup fixes, intended to prevent
      leaky functions from being applied to statistics data for columns that
      the calling user does not have permission to read.  Two gaps in that
      protection have been found.  One gap applies to partitioning and
      inheritance hierarchies where RLS policies on the tables should restrict
      access to statistics data, but did not.

      The other gap applies to cases where the query accesses a table via a
      view, and the view owner has permissions to read the underlying table
      but the calling user does not have permissions on the view. The view
      owner's permissions satisfied the security checks, and the leaky
      function would get applied to the underlying table's statistics before
      we check the calling user's permissions on the view.  This has been
      fixed by making security checks on views occur at the start of planning.
      That might cause permissions failures to occur earlier than before.

      The PostgreSQL Project thanks Dean Rasheed for reporting this problem.
      (CVE-2025-8713)

    + Prevent pg_dump scripts from being used to attack the user running the
      restore (Nathan Bossart)

      Since dump/restore operations typically involve running SQL commands as
      superuser, the target database installation must trust the source
      server.  However, it does not follow that the operating system user who
      executes psql to perform the restore should have to trust the source
      server.  The risk here is that an attacker who has gained
      superuser-level control over the source server might be able to cause it
      to emit text that would be interpreted as psql meta-commands. That would
      provide shell-level access to the restoring user's own account,
      independently of access to the target database.

      To provide a positive guarantee that this can't happen, extend psql with
      a \restrict command that prevents execution of further meta-commands,
      and teach pg_dump to issue that before any data coming from the source
      server.

      The PostgreSQL Project thanks Martin Rakhmanov, Matthieu Denais, and
      RyotaK for reporting this problem. (CVE-2025-8714)

    + Convert newlines to spaces in names included in comments in pg_dump
      output (Noah Misch)

      Object names containing newlines offered the ability to inject arbitrary
      SQL commands into the output script.  (Without the preceding fix,
      injection of psql meta-commands would also be possible this way.)
      CVE-2012-0868 fixed this class of problem at the time, but later work
      reintroduced several cases.

      The PostgreSQL Project thanks Noah Misch for reporting this problem.
      (CVE-2025-8715)

  * Add Turkish debconf translation by Atila KOÇ, thanks! (Closes: #1107984)
  * Drop hurd-iovec patch, implemented upstream.
  * Drop obsolete patches: focal-arm64-outline-atomics, jit-s390x.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Jun 2025 15:54:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

MAJOR_VER := 17

include /usr/share/postgresql-common/server/postgresql.mk

=== debian/watch ===
version=3
opts=uversionmangle=s/alpha/~alpha/;s/beta/~beta/;s/rc/~rc/ \
https://ftp.postgresql.org/pub/source/v(17.*)/postgresql-(17.*).tar.bz2

## postgresql-17 17.7

=== debian/changelog ===
postgresql-17 (17.7-3.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 17.
    + Use clang/llvm 19 for jit support.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Nov 2025 13:19:59 +0100

postgresql-17 (17.7-3) unstable; urgency=medium

  * New upstream version 17.7.

    + Check for CREATE privileges on the schema in CREATE STATISTICS
      (Jelte Fennema-Nio)

      This omission allowed table owners to create statistics in any schema,
      potentially leading to unexpected naming conflicts.

      The PostgreSQL Project thanks Jelte Fennema-Nio for reporting this
      problem. (CVE-2025-12817)

    + Avoid integer overflow in allocation-size calculations within libpq
      (Jacob Champion)

      Several places in libpq were not sufficiently careful about computing
      the required size of a memory allocation.  Sufficiently large inputs
      could cause integer overflow, resulting in an undersized buffer, which
      would then lead to writing past the end of the buffer.

      The PostgreSQL Project thanks Aleksey Solovev of Positive Technologies
      for reporting this problem. (CVE-2025-12818)

 -- Christoph Berg <myon@debian.org>  Tue, 11 Nov 2025 13:19:59 +0100

postgresql-17 (17.6-2) unstable; urgency=medium

  * No-change rebuild.

 -- Christoph Berg <myon@debian.org>  Mon, 22 Sep 2025 11:55:44 +0200

=== debian/control ===
Source: postgresql-17
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Martin Pitt <mpitt@debian.org>,
 Peter Eisentraut <petere@debian.org>,
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends:
 autoconf,
 bison,
 clang-19 [!alpha !hppa !hurd-amd64 !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32] <!pkg.postgresql.nollvm>,
 debhelper-compat (= 13),
 dh-exec (>= 0.13~),
 docbook-xml,
 docbook-xsl (>= 1.77),
 dpkg-dev (>= 1.16.1~),
 flex,
 gdb <!nocheck>,
 gettext,
 libicu-dev,
 libio-pty-perl <!nocheck>,
 libkrb5-dev,
 libldap2-dev,
 liblz4-dev,
 libpam0g-dev | libpam-dev,
 libperl-dev,
 libreadline-dev,
 libselinux1-dev [linux-any],
 libssl-dev,
 libsystemd-dev [linux-any],
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev,
 libzstd-dev (>= 1.4.0) <!pkg.postgresql.nozstd>,
 llvm-19-dev [!alpha !hppa !hurd-amd64 !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32] <!pkg.postgresql.nollvm>,
 lz4 | liblz4-tool,
 mawk,
 openssl,
 perl (>= 5.8),
 pkgconf,
 postgresql-common-dev,
 python3-dev,
 systemtap-sdt-dev [linux-any],
 tcl-dev,
 tzdata <!nocheck>,
 tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
 uuid-dev,
 xsltproc,
 zlib1g-dev | libz-dev,
 zstd (>= 1.4.0) <!pkg.postgresql.nozstd>,
Homepage: http://www.postgresql.org/
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql
Vcs-Git: https://salsa.debian.org/postgresql/postgresql.git -b 17

Package: libpq-dev
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 17/libdevel
Depends:
 libpq5 (= ${binary:Version}),
 libssl-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 postgresql-doc-17,
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 17/libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 ca-certificates,
Multi-Arch: same
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq. SSL certificate validation (the sslrootcert=system connection
 option) requires the ca-certificates package.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg6
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 17/libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 17/libdevel
Depends:
 libecpg-compat3 (= ${binary:Version}),
 libecpg6 (= ${binary:Version}),
 libpgtypes3 (= ${binary:Version}),
 libpq-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat3
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 17/libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes3
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 17/libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: shared library libpgtypes for PostgreSQL 17
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-17
Architecture: any
Depends:
 locales | locales-all,
 postgresql-client-17,
 postgresql-common (>= 252~),
 ssl-cert,
 tzdata,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-contrib-17,
 postgresql-17-jit-llvm (= ${llvm:Version}) [!alpha !hppa !hurd-amd64 !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32] <!pkg.postgresql.nollvm>,
Recommends:
 sysstat,
Breaks:
 dbconfig-common (<< 2.0.22~),
Description: The World's Most Advanced Open Source Relational Database
 PostgreSQL, also known as Postgres, is a free and open-source relational
 database management system (RDBMS) emphasizing extensibility and SQL
 compliance. It features transactions with Atomicity, Consistency, Isolation,
 Durability (ACID) properties, automatically updatable views, materialized
 views, triggers, foreign keys, and stored procedures. It is designed to handle
 a range of workloads, from single machines to data warehouses or Web services
 with many concurrent users.
 .
 This package provides the database server for PostgreSQL 17.${cassert}
XB-Postgresql-Catversion: ${postgresql:Catversion}

Package: postgresql-client-17
Architecture: any
Multi-Arch: foreign
Depends:
 libpq5 (>= ${source:Upstream-Version}),
 postgresql-client-common (>= 182~),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 postgresql-17,
 postgresql-doc-17,
Provides:
 postgresql-client,
Description: front-end programs for PostgreSQL 17
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 17. If you install
 PostgreSQL 17 on a standalone machine, you need the server package
 postgresql-17, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-server-dev-17
Architecture: any
Section: libdevel
Depends:
 clang-${llvm:Version} [!alpha !hppa !hurd-amd64 !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32] <!pkg.postgresql.nollvm>,
 libpq-dev (>= 17~~),
 llvm-${llvm:Version}-dev [!alpha !hppa !hurd-amd64 !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32] <!pkg.postgresql.nollvm>,
 postgresql-client-17,
 postgresql-common (>= 142~),
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for PostgreSQL 17 server-side programming
 Header files for compiling SSI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc-17
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 17. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plperl-17
Architecture: any
Depends:
 perl,
 postgresql-17 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-plperl,
Description: PL/Perl procedural language for PostgreSQL 17
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 17 in Perl.  You need this package if you have any
 PostgreSQL 17 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plpython3-17
Architecture: any
Depends:
 postgresql-17 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-plpython3,
Description: PL/Python 3 procedural language for PostgreSQL 17
 PL/Python 3 enables an SQL developer to write procedural language functions
 for PostgreSQL 17 in Python 3.  You need this package if you have any
 PostgreSQL 17 functions that use the languages plpython3 or plpython3u.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-pltcl-17
Architecture: any
Depends:
 postgresql-17 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-pltcl,
Description: PL/Tcl procedural language for PostgreSQL 17
 PL/Tcl enables an SQL developer to write procedural language functions
 for PostgreSQL 17 in Tcl.  You need this package if you have any
 PostgreSQL 17 functions that use the languages pltcl or pltclu.
 .
 PostgreSQL is an object-relational SQL database management system.
